commit b7264e4d7e953b8138d9443de5d9946fb0551f90
Author: Martin Liska <mliska@suse.cz>
Date:   Wed May 20 14:39:21 2020 +0200

    Fill up {,un}compression stats for ZSTD in LTO.
    
            * lto-compress.c (lto_compression_zstd): Fill up
            num_compressed_il_bytes.
            (lto_uncompression_zstd): Likewise for num_uncompressed_il_bytes here.
    
    (cherry picked from commit 053dc901e0227bb62b65f3a8d7a9deccb61dffa1)

diff --git a/gcc/lto-compress.c b/gcc/lto-compress.c
index 56cd9626b19..d19338b396a 100644
--- a/gcc/lto-compress.c
+++ b/gcc/lto-compress.c
@@ -141,6 +141,7 @@ lto_compression_zstd (struct lto_compression_stream *stream)
   if (ZSTD_isError (csize))
     internal_error ("compressed stream: %s", ZSTD_getErrorName (csize));
 
+  lto_stats.num_compressed_il_bytes += csize;
   stream->callback (outbuf, csize, NULL);
 
   lto_destroy_compression_stream (stream);
@@ -169,6 +170,7 @@ lto_uncompression_zstd (struct lto_compression_stream *stream)
   if (ZSTD_isError (dsize))
     internal_error ("decompressed stream: %s", ZSTD_getErrorName (dsize));
 
+  lto_stats.num_uncompressed_il_bytes += dsize;
   stream->callback (outbuf, dsize, stream->opaque);
 
   lto_destroy_compression_stream (stream);

